Subject: Re: Canadian build of Insight
From: Brendan Simon <[email-masked]>
Cc: [email-masked], "Insight (GDB GUI)" <[email-masked]>
Date: Wed, 18 Aug 1999 14:37:02 +1000

Mumit Khan wrote:

> Brendan, the easiest way to get the runtime support is find a machine
> with Cygwin installed, and just grab the includes and libraries from
> /Cygnus/cygwin-b20/H-i586-cygwin32/{include,lib} and you should be all
> set.
>
> If you want to build it locally without having to download the whole
> bit, here's how (untested, but the basics are there ;-): download
> the following "split" components from sourceware Cygwin site[1]:
>
>   toplevel.tar.bz2
>   config.tar.gz2
>   etc.tar.gz
>   include.tar.gz
>   libiberty.tar.gz
>   newlib.tar.gz
>   winsup.tar.gz
>
> [1] ftp://sourceware.cygnus.com/pub/cygwin/cygwin-latest/src-by-top-dir/
>
> Now unpack all of this in some directory, say cygwin-b20 and build/install
> using your cross-compiler. Of course, unless you already have cross
> compiler going, there may be a chicken and egg problem -- to build the
> cross-compiler, you need the runtime; to build the runtime, you need to
> the cross-compiler. If you already have a cross-compiler, you should
> already have the runtime, right?

I have already built a linux hosted powerpc-eabi targeted cross-compiler.  I
have also built a cygwin hosted powerpc-eabi targeted cross-compiler (this
was built on a linux machine following Mumit's howto - thanks).  I previously
built the linux-cygwin cross-compiler using the dev-cygwin sources.  I assume
that I don't need the "src-by-top-dir" for this case.

> Since you may need termcap, also download the libtermcap.tar.bz2, which
> has some modifications to support "cygwin" terminal type.

This is the bit that I think I'm missing.  Apparently this is part of newer
cygwin releases/snapshots which is what I was trying to find, but I got
confused between the dev-cygwin sources and other cygwin sources.  OK, so I
will get the libtermcap.tar.bz2 package and see what happens.  BTW. Is this
package a cygwin only package or is it a generic package for all posix
compliant APIs ?

Thanks,
Brendan Simon.

--
Want to unsubscribe from this list?
Send a message to [email-masked]